Skip to main content
GET
/
aba-checks
List all ABA checks
curl --request GET \
  --url https://app.ezyshield.com.au/api/aba-checks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "status": "<string>",
        "description": "<string>",
        "aba_date": "<string>",
        "original_file_name": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      },
      "relationships": {
        "entries": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        }
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "account_name": "<string>",
        "bsb": "<string>",
        "account_number": "<string>",
        "amount": "<string>",
        "lodgement_reference": "<string>",
        "result": "<string>",
        "passed": "<string>"
      },
      "relationships": {
        "verification": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort
string
default:-created_at

Available sorts are created_at, updated_at, aba_date, status. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -created_at.

page[size]
integer
default:10

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

include
enum<string>[]
Available options:
entries,
entries.verification
fields[aba-checks]
enum<string>[]
Available options:
status,
description,
aba_date,
original_file_name,
created_at,
updated_at
fields[aba-check-entries]
enum<string>[]
Available options:
account_name,
bsb,
account_number,
amount,
lodgement_reference,
result,
passed
fields[verifications]
enum<string>[]
Available options:
status,
individual_confirmation_mode,
send_individual_confirmation_sms,
send_individual_confirmation_email,
accept_close_match,
attribution_id,
individual_confirmation_url,
failure_reason,
check_results,
created_at,
updated_at
filter[status]
enum<string>

Filter by ABA check status.

Available options:
passed,
failed
Example:

"passed"

filter[aba_date]
string<date>

Filter by ABA processing date.

Example:

"2026-04-28"

filter[created_at_start]
string<date-time>

Filter ABA checks created on or after this datetime.

Example:

"2026-04-01T00:00:00Z"

filter[created_at_end]
string<date-time>

Filter ABA checks created on or before this datetime.

Example:

"2026-04-30T23:59:59Z"

Response

Paginated set of AbaCheckResource

data
AbaCheckResource · object[]
required
meta
object
required
included
(AbaCheckEntryResource · object | VerificationResource · object)[]